import React from 'react';
import { StyleSheet } from 'react-native';

const styles = StyleSheet.create({
  aoGameContainer: {
    display: "flex",
    flexDirection: "column",
    alignItems: "center",
    justifyContent: "flex-start",
    flexGrow: 0,
    flexShrink: 0,
    height: "100%",
    width: "100%",
    backgroundColor: "#221E22",
  },
  aoGameInnerContainer: {
    display: "flex",
    flexDirection: "column",
    alignItems: "center",
    justifyContent: "center",
    height: "100%",
    width: "100%",
  },
  aoGreetingsImage: {
    flexGrow: 0,
    flexShrink: 1,
    width: "100%",
  },
  aoGameBar: {
    backgroundColor: "#221E22",
    flexGrow: 1,
    padding: 12,
    width: "100%",
  },
  aoHeadline: {
    fontFamily: "Heebo-Black",
    color: "#FFFFFF",
    fontSize: 24,
    textAlign: "center",
  },
  aoText: {
    fontFamily: "Heebo-Light",
    color: "#FFFFFF",
    fontSize: 14,
    textAlign: "center",
  },
  aoPrimaryButton: {
    width: "100%",
    height: 44,
    padding: 12,
    backgroundColor: "#ECA72C",
    borderRadius: 2,
    marginTop: 12,
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "center",
  },
  aoPrimaryButtonDisabled: {
    width: "100%",
    height: 44,
    padding: 12,
    backgroundColor: "#464646",
    borderRadius: 2,
    marginTop: 12,
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "center",
  },
  aoPrimaryButtonText: {
    fontFamily: "Heebo-Bold",
    color: "#221E22",
    fontSize: 14,
    textAlign: "center",
  },
  aoSecondaryButton: {
    width: "100%",
    height: 44,
    padding: 12,
    borderRadius: 2,
    marginTop: 12,
    borderWidth: 1,
    borderStyle: "solid",
    borderColor: "#ECA72C",
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "center",
  },
  aoSecondaryButtonDisabled: {
    width: "100%",
    height: 44,
    padding: 12,
    borderWidth: 1,
    borderStyle: "solid",
    borderColor: "#464646",
    marginTop: 12,
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "center",
  },
  aoSecondaryButtonText: {
    fontFamily: "Heebo-Bold",
    color: "#ECA72C",
    fontSize: 14,
    textAlign: "center",
  },
  aoSecondaryButtonDisabledText: {
    fontFamily: "Heebo-Bold",
    color: "#464646",
    fontSize: 14,
    textAlign: "center",
  },
  aoGameTitle: {
    fontFamily: "Megrim",
    color: "#FFFFFF",
    fontSize: 24,
    textAlign: "center",
    marginBottom: 12,
  },
  aoOrDividerRow: {
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "space-between",
    marginVertical: 12,
    width: "100%",
  },
  aoOrDivider: {
    height: 1,
    backgroundColor: "#A7A5A7",
    flexGrow: 1,
  },
  aoOrDividerText: {
    fontFamily: "Heebo-Bold",
    color: "#FFFFFF",
    fontSize: 14,
    textAlign: "center",
    paddingHorizontal: 6,
  },
  aoEnterCodeRow: {
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "space-between",
  },
  aoCodeTextbox: {
    backgroundColor: "#383438",
    height: 44,
    paddingHorizontal: 12,
    color: "#FFFFFF",
    fontFamily: "Heebo-Bold",
    fontSize: 18,
    flexGrow: 1,
  },
  aoTextbox: {
    backgroundColor: "#383438",
    height: 44,
    paddingHorizontal: 12,
    textAlign: "left",
    color: "#FFFFFF",
    fontFamily: "Heebo",
    fontSize: 14,
    flexGrow: 1,
  },
  aoLobbyContainer: {
    backgroundColor: "#000000",
    display: "flex",
    flexDirection: "column",
    alignItems: "center",
    justifyContent: "flex-start",
    width: "100%",
    height: "100%",
    padding: 12,
  },
  aoLobbyInnerContainer: {
    display: "flex",
    flexDirection: "column",
    alignItems: "center",
    justifyContent: "flex-start",
    width: "100%",
    flexGrow: 1,
  },
  aoGameCode: {
    fontFamily: "Heebo-Black",
    color: "#FFFFFF",
    fontSize: 24,
    textTransform: "uppercase",
    letterSpacing: 0.3,
    textAlign: "center",
    marginBottom: 12,
  },
  aoPlayerRow: {
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "flex-start",
    width: "100%",
    marginBottom: 12,
  },
  aoPlayerRowAvatar: {
    marginRight: 12,
    flexGrow: 0,
    width: 36,
    height: 36,
  },
  aoPlayerRowName: {
    flexGrow: 1,
    fontFamily: "Heebo",
    fontSize: 14,
    color: "#FFFFFF",
  },
  aoQuestionRow: {
    display: "flex",
    flexDirection: "row",
    width: "100%",
    padding: 12,
    backgroundColor: "#221E22",
    alignItems: "center",
    justifyContent: "flex-start",
    borderRadius: 2,
    marginBottom: 12,
  },
  aoQuestionRowSelected: {
    display: "flex",
    flexDirection: "row",
    width: "100%",
    padding: 12,
    backgroundColor: "#221E22",
    alignItems: "center",
    justifyContent: "flex-start",
    borderRadius: 2,
    marginBottom: 12,
    borderWidth: 1,
    borderStyle: "solid",
    borderColor: "#ECA72C",
  },
  aoQuestionText: {
    fontFamily: "Heebo-Bold",
    fontSize: 14,
    color: "#FFFFFF",
    textAlign: "left",
  },
  aoAnswerSpace: {
    backgroundColor: "#000000",
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "center",
    flexWrap: "wrap",
    marginTop: 12,
  },
  aoAnswerLetterTile: {
    backgroundColor: "#221E22",
    display: "flex",
    flexDirection: "column",
    alignItems: "center",
    justifyContent: "center",
    borderRadius: 4,
    marginHorizontal: 3,
    marginVertical: 6,
    height: 40,
    width: 26,
    flexShrink: 0,
  },
  aoAnswerLetterTileSelected: {
    backgroundColor: "#ECA72C",
    display: "flex",
    flexDirection: "column",
    alignItems: "center",
    justifyContent: "center",
    borderRadius: 4,
    marginHorizontal: 3,
    marginVertical: 6,
    height: 40,
    width: 26,
    flexShrink: 0,
  },
  aoAnswerLetterTileText: {
    fontFamily: "Megrim",
    fontSize: 24,
    color: "#FFFFFF",
    textTransform: "uppercase",
  },
  aoAnswerLetterTileSelectedText: {
    fontFamily: "Megrim",
    fontSize: 24,
    color: "#221E22",
    textTransform: "uppercase",
  },
  aoSpiritWatchingGameBar: {
    width: "100%",
    display: "flex",
    flexDirection: "column",
    alignItems: "center",
    justifyContent: "flex-end",
  },
  aoSpiritWatchingGameBarText: {
    fontFamily: "Heebo-Bold",
    color: "#FFFFFF",
    textAlign: "center",
  },
  aoLetterBar: {
    display: "flex",
    flexDirection: "row",
    backgroundColor: "#383438",
    padding: 12,
    borderRadius: 4,
    maxWidth: "100%",
  },
});

export default styles;
